package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * app我的菜单
 * </p>
 *
 * @author wh
 * @since 2022-04-06
 */
@TableName("my_menu")
@ApiModel(value="MyMenu对象", description="app我的菜单")
public class MyMenu extends Model<MyMenu> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "菜单名字")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "菜单类型(0:客户管理;1:操作功能;2:我的相关;3:其他)")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "图标地址")
    @TableField("icon")
    private String icon;

    @ApiModelProperty(value = "app访问地址")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "参数传递")
    @TableField("param")
    private String param;

    @ApiModelProperty(value = "排序")
    @TableField("orderby")
    private Integer orderby;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "代理默认标记(0:否;1:是)")
    @TableField("agent_default")
    private Integer agentDefault;

    @ApiModelProperty(value = "物业默认标记(0:否;1:是)")
    @TableField("property_default")
    private Integer propertyDefault;

    @ApiModelProperty(value = "保洁默认标记(0:否;1:是)")
    @TableField("clean_default")
    private Integer cleanDefault;

    @ApiModelProperty(value = "代理show标记(0:否;1:是)")
    @TableField("agent_show_default")
    private Integer agentShowDefault;

    @ApiModelProperty(value = "物业show标记(0:否;1:是)")
    @TableField("property_show_default")
    private Integer propertyShowDefault;

    @ApiModelProperty(value = "代理管理物业show标记(0:否;1:是)")
    @TableField("agent_manage_show_default")
    private Integer agentManageShowDefault;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public Integer getOrderby() {
        return orderby;
    }

    public void setOrderby(Integer orderby) {
        this.orderby = orderby;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getAgentDefault() {
        return agentDefault;
    }

    public void setAgentDefault(Integer agentDefault) {
        this.agentDefault = agentDefault;
    }

    public Integer getPropertyDefault() {
        return propertyDefault;
    }

    public void setPropertyDefault(Integer propertyDefault) {
        this.propertyDefault = propertyDefault;
    }

    public Integer getCleanDefault() {
        return cleanDefault;
    }

    public void setCleanDefault(Integer cleanDefault) {
        this.cleanDefault = cleanDefault;
    }

    public Integer getAgentShowDefault() {
        return agentShowDefault;
    }

    public void setAgentShowDefault(Integer agentShowDefault) {
        this.agentShowDefault = agentShowDefault;
    }

    public Integer getPropertyShowDefault() {
        return propertyShowDefault;
    }

    public void setPropertyShowDefault(Integer propertyShowDefault) {
        this.propertyShowDefault = propertyShowDefault;
    }

    public Integer getAgentManageShowDefault() {
        return agentManageShowDefault;
    }

    public void setAgentManageShowDefault(Integer agentManageShowDefault) {
        this.agentManageShowDefault = agentManageShowDefault;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MyMenu{" +
        "id=" + id +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", name=" + name +
        ", type=" + type +
        ", icon=" + icon +
        ", url=" + url +
        ", param=" + param +
        ", orderby=" + orderby +
        ", memo=" + memo +
        ", agentDefault=" + agentDefault +
        ", propertyDefault=" + propertyDefault +
        ", cleanDefault=" + cleanDefault +
        ", agentShowDefault=" + agentShowDefault +
        ", propertyShowDefault=" + propertyShowDefault +
        ", agentManageShowDefault=" + agentManageShowDefault +
        "}";
    }
}
